Summary: Kerberos authentication module for HTTP
Name: mod_auth_kerb
Version: 5.4
Release: 1
License: BSD and MIT
Group: System Environment/Daemons
URL: http://modauthkerb.sourceforge.net/
Source0: http://downloads.sourceforge.net/modauthkerb/%{name}-%{version}.tar.gz
Source1: %{name}.conf
Patch0: %{name}-%{version}-aix.patch
Patch1: %{name}-%{version}-rcopshack.patch
Patch2: %{name}-%{version}-fixes.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: patch
BuildRequires: httpd-devel
BuildRequires: krb5-devel >= 1.8.3-1
Requires: httpd
Requires: krb5-libs >= 1.8.3-1

%description
mod_auth_kerb is a module for the Apache HTTP Server designed to
provide Kerberos authentication over HTTP.  The module supports the
Negotiate authentication method, which performs full Kerberos
authentication based on ticket exchanges.


%prep
%setup -q
%patch0
export PATH=/opt/freeware/bin:$PATH
%patch1 -p1 -b .rcopshack
%patch2 -p1 -b .fixes


%build
./configure \
    --without-krb4 \
    --with-krb5=%{_prefix} \
    --with-apache=%{_prefix}

make %{?_smp_mflags} 


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{_libdir}/httpd/modules
cp src/.libs/mod_auth_kerb.so ${RPM_BUILD_ROOT}%{_libdir}/httpd/modules/mod_auth_kerb.so
chmod 0755 ${RPM_BUILD_ROOT}%{_libdir}/httpd/modules/mod_auth_kerb.so

mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/httpd/conf/extra
cp %{SOURCE1} ${RPM_BUILD_ROOT}%{_sysconfdir}/httpd/conf/extra/auth_kerb.conf
chmod 0644 ${RPM_BUILD_ROOT}%{_sysconfdir}/httpd/conf/extra/auth_kerb.conf


%post
cat %{_sysconfdir}/httpd/conf/httpd.conf | \
  grep -v "# auth_kerb settings" | \
  grep -v "Include conf/extra/auth_kerb.conf" \
  > %{_sysconfdir}/httpd/conf/tmp_httpd.conf
mv -f %{_sysconfdir}/httpd/conf/tmp_httpd.conf %{_sysconfdir}/httpd/conf/httpd.conf
echo "# auth_kerb settings" >> %{_sysconfdir}/httpd/conf/httpd.conf
echo "Include conf/extra/auth_kerb.conf" >> %{_sysconfdir}/httpd/conf/httpd.conf
echo "Please restart your web server using: '/opt/freeware/sbin/apachectl restart'"


%postun
if [ "$1" = 0 ]; then
    cat %{_sysconfdir}/httpd/conf/httpd.conf | \
      grep -v "# auth_kerb settings" | \
      grep -v "Include conf/extra/auth_kerb.conf" \
      > %{_sysconfdir}/httpd/conf/tmp_httpd.conf
    mv -f %{_sysconfdir}/httpd/conf/tmp_httpd.conf %{_sysconfdir}/httpd/conf/httpd.conf
    echo "Please restart your web server using: '/opt/freeware/sbin/apachectl restart'"
fi


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc README
%config(noreplace) %{_sysconfdir}/httpd/conf/extra/auth_kerb.conf
%{_libdir}/httpd/modules/*.so


%changelog
* Fri Nov 11 2011 Michael Perzl <michael@perzl.org> - 5.4-1
- first version for AIX V5.1 and higher
